Modem USB de Movistar y Ubuntu 9.04

Para los que tengáis que usar el módem de Movistar con la nueva versión de Ubuntu 9.04, veréis que hay un problema. El módulo usbserial no parece estar, pero lo que pasa es que, los chicos de Ubuntu han compilado en el kernel el módulo en lugar de dejarlo como tal.

Esto causa el problema de no poder usar el módulo de forma parametrizada con modprobe…

¿Problema?, ninguno. Solo hay que decirle al kernel qué dispositivo vamos a usar:

Cuando en el arranque entre en Grub (visualizar el menú para seleccionar el sistema operativo) pulsamos la tecla ESC.

Vamos a la línea del kernel que queremos cargar y pulsamos E.

En la segunda línea (la que empieza por kernel) otra vez E, vamos al final de la línea y escribimos:

usbserial.vendor=0x1410 usbserial.product=0x4400

Pulsamos B (boot)… y “ready!”

Ahora ya podemos usar por ejemplo wvdial para realizar la conexión.

Notas sobre la instalación del modem:
1. Esos códigos son los que corresponden con el modem MC950D de Movistar.
2. Si lo ponéis en el menu.lst del grub mejor 😉
3. Me ha funcionado usando wvdial con un script que tengo y usando como dispositivo /dev/ttyUSB3, ojito con esto que si no, no funciona.

Script wvdial.conf

[Dialer Defaults]
Phone = *99***1#
Username = MOVISTAR
Password = MOVISTAR
Dial Command = ATDT
Stupid Mode = 1

[Dialer reset]
Modem = /dev/ttyUSB3
Init1 = AT+CPIN=XXXX

[Dialer movistar]
Phone = *99***1#
Modem = /dev/ttyUSB3
Baud = 460800
Init2 = ATZ
Init3 = ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ISDN = 0
Modem Type = USB Modem
Init5 =AT+CGDCONT=1,”IP”,”movistar.es”;

Notas sobre el script:
1. Cambiad las XXXX por el número de pin que tengáis en la línea:
Init1 = AT+CPIN=XXXX
O bloquearéis vuestro dispositivo y tendréis que usar el PUK para desbloquearlo.
2. La secuencia que uso es la siguiente (el primero es para desmontar la unidad que automáticamente crea el dispositivo):
sudo eject /dev/scd1
sudo wvdial reset
sudo wvdial movistar

3 replies on “Modem USB de Movistar y Ubuntu 9.04”

  1. Arkangel dice:

    ¿Y todo esto tienes tú en la cabeza? ¡¡Estás loco!! 😉

  2. Uuufff como se te ha complicado la cosa. Hay que actualizarse el Ubuntu un poco, que verás como ya no es necesario hacer nada de eso. Ya se ha solucionado
    😀

  3. fegor dice:

    Manuel, primero hay que actualizar el sistema pero aún así hay que hacer eso porque el módulo se ha compilado directamente en el kernel. Por lo menos hasta que saquen una nueva versión y se pueda bajar por separado 🙂

    Un saludo,
    😛

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *